Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app
Class QTDrawableMaker

    java.lang.Object
      |
      +--quicktime.app.QTDrawableMaker

public class QTDrawableMaker
extends java.lang.Object

This class is used in the making of QTDrawable objects by the QTFactory.makeDrawable methods when a GraphicsImporter or Movie is made from the user's input. Applications can subclass this class and pass it in to the makeDrawable methods to overide the method that is of particular concern to return an object that is more appropriate to their use. For example an ImagePresenter object could be returned from the GraphicsImporter that yields better drawing performance but uses more memory.

    class MyQTDrawableMaker extends QTDrawableMaker {
    public QTDrawable fromGraphicsImporter (GraphicsImporter gi) throws QTException {
    return ImagePresenter.fromGraphicsImporter (gi);
    }
    }

And this class is used with the factory methods like this:

    QTDrawable d = QTFactory.makeDrawable (..., new MyQTDrawable());

Constructor Summary
`QTDrawableMaker()`

Method Summary
`QTDrawable` | `fromGraphicsImporter(GraphicsImporter gi)`
`QTDrawable` | `fromMovie(Movie m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTDrawableMaker

    public QTDrawableMaker()

Method Detail

### fromGraphicsImporter

    public QTDrawable fromGraphicsImporter(GraphicsImporter gi)
                                    throws QTException

  Parameters:
    `gi` - the GraphicsImporter from which to construct a QTDrawable object which is capable of presenting the image data imported by the GraphicsImporter.
  Returns:
    an GraphicsImporterDrawer object from the supplied GraphicsImporter

### fromMovie

    public QTDrawable fromMovie(Movie m)
                         throws QTException

  Parameters:
    `m` - the Movie from which to construct a QTDrawable object which is capable of presenting the Movie.
  Returns:
    a QTPlayer object from the supplied Movie

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD